ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

## Class ContractAutopaymentMode

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.ContractAutopaymentMode

- Direct Known Subclasses:
    ContractAutopaymentMode.ContractAutopaymentModeAuto, ContractAutopaymentMode.ContractAutopaymentModePeriodic

      public abstract class ContractAutopaymentMode
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContractAutopaymentMode.ContractAutopaymentModeAuto`
    `static class` | `ContractAutopaymentMode.ContractAutopaymentModePeriodic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractAutopaymentMode()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContractAutopaymentMode` | `fromAutopayment(Autopayment autopayment)`
    `static ContractAutopaymentMode` | `getContractAutopaymentMode(ParameterMap moduleSetup, java.lang.String prefix, ParameterMap defaultSetup, Autopayment autopayment)` Получение режима из Autopayment.
    `AutopaymentMode` | `getMode()`
    `void` | `setMode(AutopaymentMode mode)`
    `void` | `toAutopayment(Autopayment autopayment)`
    `java.lang.String` | `toData()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractAutopaymentMode

          public ContractAutopaymentMode()

  - ### Method Detail

    - #### getMode

          public AutopaymentMode getMode()

    - #### setMode

          public void setMode(AutopaymentMode mode)

    - #### toData

          public java.lang.String toData()

    - #### toAutopayment

          public void toAutopayment(Autopayment autopayment)

    - #### getContractAutopaymentMode

          public static ContractAutopaymentMode getContractAutopaymentMode(ParameterMap moduleSetup,
                                                                           java.lang.String prefix,
                                                                           ParameterMap defaultSetup,
                                                                           Autopayment autopayment)

      Получение режима из Autopayment.
      Parameters:
        `moduleSetup` -
        `prefix` -
        `defaultSetup` -
        `autopayment` -
      Returns:

    - #### fromAutopayment

          public static ContractAutopaymentMode fromAutopayment(Autopayment autopayment)